from enum import Enum

class ExtendedEnum(Enum):
    @classmethod
    def keys(cls):
        return list(map(lambda c: c.name, cls))
    
    @classmethod
    def values(cls):
        return list(map(lambda c: c.value, cls))

# class CloudMapping(ExtendedEnum):
#     iota = "109667701036"
#     cpdevlambda = "270867340686"

CloudMappingDict = {
    "iota": "109667701036",
    "lambda": "270867340686"
}
