"""Outputs a csv which contains medialive info AMGID, Inputs, Channels"""

import os

from ieg_cloud_scan.aws.medialive import MediaLive
from ieg_cloud_scan.utils.logger import logger


def run() -> None:

    cwd = os.getcwd()
    medialive_info = f"{cwd}/medialive_info.txt"
    medialive = MediaLive('us-east-1')
    ml_info = medialive.get_output_info_of_channels()
    print(ml_info)
