from ieg_cloud_scan.aws.awsinfo import AWSInfo
from ieg_cloud_scan.utils.csv_writer import CsvWriter
import boto3

def get_regions():
    all_regions=[]
    ec2_resource = boto3.resource('ec2','us-east-1')
    for each_item in ec2_resource.meta.client.describe_regions()['Regions']:
        all_regions.append(each_item['RegionName'])
    return all_regions

def run():
    
    regions = get_regions()

    ebs_info = AWSInfo.get_ebs_info(regions)
    # s3_info = AWSInfo.get_s3_info()
    # ec2_info = AWSInfo.get_ec2_info(regions)
    CsvWriter.store_in_csv(ebs_info)
    #CsvWriter.write_dict_to_csv("ebs", ["volume_id", "name"], ebs_info)
    # CsvWriter.write_info_dict_to_csv("s3", ["bucket_name", "size"], s3_info)
    # CsvWriter.write_info_dict_to_csv("ec2", ["instance_id", "name"], ec2_info)
    # medialive_info = AWSInfo.get_medialive_info(regions)
    # CsvWriter.write_info_dict_to_csv("medialive", ["id", "name"], medialive_info)
    # medialive_destinations = AWSInfo.get_medialive_destinations(regions)
    # print(medialive_destinations)

    #rds_info = AWSInfo.get_rds_info(regions)
    #CsvWriter.write_info_dict_to_csv("RDS", ["arn", "name"], rds_info)

