import boto3

# WIP


class Batch:
    def __init__(self, region):
        self.batch_client = boto3.client("batch", region_name=region)

    def list_jobs_with_name_pattern(self, job_queue_arn, job_name_pattern, status):
        maxResults = 100
        # Retrieve all jobs from the job queue
        jobs = []
        response = self.batch_client.list_jobs(
            jobQueue=job_queue_arn, jobStatus=status, maxResults=maxResults
        )
        while True:
            jobs.extend(response["jobSummaryList"])
            if "nextToken" in response:
                response = self.batch_client.list_jobs(
                    jobQueue=job_queue_arn,
                    nextToken=response["nextToken"],
                    jobStatus=status,
                    maxResults=maxResults,
                )
            else:
                break

        # Filter the jobs based on the job name pattern
        print(jobs[0])
        filtered_jobs = [job for job in jobs if job_name_pattern in job["jobName"]]
